---
orphan: true
---

# Query the agent workflow binding list

Query the binding in the workspace that associates the workflow node to the agent task template.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/agent-workflow-bindings
```

## Before you call

Prepare the personal access token and target workspace ID.

The example below uses:

- `$AI_STUDIO_API_KEY`: Actual personal access token.
- `$WORKSPACE_ID`: Target workspace ID.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/agent-workflow-bindings?limit=20&offset=0" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Query parameters

| Parameters | Type | Is it required | Description |
| --- | --- | --- | --- |
| `workflow_id` | string | No | Workflow ID. |
| `workflow_version_id` | string | No | Workflow version ID. |
| `node_id` | string | No | Workflow node ID. |
| `agent_task_template_id` | string | No | Agent task template ID. |
| `status` | string | No | Binding status. |
| `limit` | integer | No | Return the quantity. |
| `offset` | integer | No | Return to the starting position. |

## Successful response

On success, the binding of `200` and the current page is returned.

```json
{"code": 0, "data": {"items": [{"id": "binding_01", "workflow_id": "wf_01", "node_id": "node_01", "agent_task_template_id": "template_01"}], "total": 1, "limit": 20, "offset": 0}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `code` | integer | `0` on success. |
| `data.items` | array | Binding of the current page. |
| `data.items[].id` | string | Binding ID. |
| `data.items[].workflow_id` | string | Workflow ID. |
| `data.items[].node_id` | string | Node ID. |
| `data.items[].agent_task_template_id` | string | Association template ID. |
| `data.total` | integer | The total number of matches. |

`[]` after a type denotes an array. `[]` in a field path denotes each item in an array.


## Error response

```json
{"code": 2, "message": "invalid workflow binding filter"}
```

### Common HTTP errors

```{list-table}
:header-rows: 1

* - HTTP status code
  - error code
  - Common causes
  - Recommended actions
* - `400`
  - `2`
  - The query parameter is invalid.
  - Check filters.
```
